<!DOCTYPE HTML PUBLIC '-//W3C//DTD HTML 4.01//EN'>
<html lang="cs">
  <head>
    <meta http-equiv="content-type" content="text/html;charset=utf-8">
    <title>Ukázka použití XPathu v SimpleXML</title>
  </head>
  <body>
<?php 
// načtení dokumentu XML
$xml = simplexml_load_file("../data/faktura.xml", "SimpleXMLElement", 
                           LIBXML_NOENT|LIBXML_DTDLOAD|LIBXML_DTDATTR);

// změníme IČO dodavatele
$xml->dodavatel->ico = "123";

// změníme datum splatnosti
$xml["splatnost"] = "31.2.2006";

// přidání nové položky vyžaduje využití rozhraní DOM

// vytvoříme dočasný DOM document pro nově přidávaný element a jeho obsah
$novaPolozka = new DOMDocument();
$novaPolozka->loadXML("<polozka><popis>USB kabel</popis><cena dph='19'>150</cena></polozka>");

// SimpleXML reprezentaci převedeme na DOM
$dom = dom_import_simplexml($xml);

// do DOM reprezentace přidáme novou položku
$dom->appendChild($dom->ownerDocument->importNode($novaPolozka->documentElement, true));

// převedeme DOM zpět na SimpleXML
$xml = simplexml_import_dom($dom);

// pro ilustraci vypíšeme všechny položky faktury, aby byla vidět změna
foreach ($xml->polozka as $polozka)
{
  echo $polozka->popis, "<br>\n";
}

// zapíšeme upravený dokument XML do nového souboru
file_put_contents("novafaktura.xml", $xml->asXML());
?>
  </body>
</html>