<?php
Header("Content-type: text/plain; charset=utf-8");

// nastavení vlastní obsluhy chyb
libxml_use_internal_errors(true);

// načtení dokumentu k validaci
$doc = new DOMDocument();
$doc->load("../schema/zamestnanci-chyba.xml",
           LIBXML_NOENT|LIBXML_DTDLOAD|LIBXML_DTDATTR);

// validace dokumentu
if (!@$doc->schemaValidate("../schema/zamestnanci.xsd"))
{
  echo "Dokument není validní:\n";

  // zjištění všech chyb
  $errors = libxml_get_errors();

  // postupné zpracování všech chyb
  foreach ($errors as $error)
  {
    // u každé chyby vypíšeme jméno souboru, řádek, sloupec a chybové hlášení
    echo $error->file . ":" . $error->line . ":" . $error->column . ":" . $error->message . "\n";
  }
  
  // vyčištění chyb
  libxml_clear_errors();
  exit;
}
else
{
  echo "Dokument je validní oproti W3C XML schématu.";
}
?>