<!DOCTYPE HTML PUBLIC '-//W3C//DTD HTML 4.01//EN'>
<html lang="cs">
  <head>
    <meta http-equiv="content-type" content="text/html;charset=utf-8">
    <title>Přehled zpráv</title>
  </head>
  <body>
<?php

// pomocné proměnné
$zobrazFormular = false;
$zobrazChybu = false;

// načtení dat z formuláře
$prispevek = isset($_REQUEST["prispevek"]) ? $_REQUEST["prispevek"] : "";

// vytvoření DOM stromu pro data z formuláře
$prispevekDOM = new DOMDocument();

// odeslal uživatel příspěvek
if ($prispevek == "")
{
  // pokud ne, budeme zobrazovat formulář
  $zobrazFormular = true;
}
else
{
  // pokud ano, opravíme v příspěvku případné chyby a pokusíme se jej zvalidovat

  // opravení případných syntaktických chyb pomocí parseru HTML
  $doc = @DOMDocument::loadHTML("<meta http-equiv='content-type' content='text/html;charset=utf-8'>
    <div class='prispevek'>" . $prispevek . "</div>");

  // překopírování elementu div do nového DOM stromu
  $prispevekDOM->appendChild($prispevekDOM->importNode(
			       $doc->getElementsByTagName("div")->item(0), true));

  // validace příspěvku oproti schématu
  if (!@$prispevekDOM->relaxNGValidate("prispevek.rng"))
  {
    $zobrazChybu = true;
    $zobrazFormular = true;
  }
}

if ($zobrazFormular)
{
  if ($zobrazChybu)
  {
    // při validaci dat došlo k chybě, zobrazíme hlášení
    echo "Text vašeho příspěvku obsahuje nedovolené elementy. Dovoleny jsou pouze elementy br, b, i a odkazy (a href).<br>\n";
  }
  // zobrazení formuláře
  echo "<form action='formular.php'>
    Napište text vašeho příspěvku:<br> <textarea name='prispevek' rows='8' cols='40'>" . htmlspecialchars($prispevek) .
     "</textarea><br>
      <input type='submit' value='Přidej příspěvek'>
    </form>";
}
else
{
  // příspěvek šel zvalidovat, můžeme jej dále zpracovat
  echo "Přijal jsem následující příspěvek:";
  echo "<pre>";
  // nastavení kódování výstupu
  $prispevekDOM->encoding = "utf-8";
  // vypsání XML podoby příspěvku
  echo htmlspecialchars($prispevekDOM->saveXML($prispevekDOM->documentElement));
  echo "</pre>";
}

?>