<?php 
Header("Content-type: application/atom+xml"); 

// vytvoření nového XMLWriter 
$xw = new XMLWriter();

// vytvářené XML se bude zapisovat na výstup skriptu
$xw->openURI("php://output");

// zahájíme dokument a určíme kódování
$xw->startDocument("1.0", "utf-8");

// výstup se bude pro větší přehlednost odsazovat
$xw->setIndent(true);

// jmenný prostor Atom pro snadné opakování
$atomNS = "http://www.w3.org/2005/Atom";

// vytvoříme kořenový element
$xw->startElementNS(null, "feed", $atomNS);

// vytvoříme element title
$xw->writeElementNS(null, "title", $atomNS, "Aktuální články");

// vytvoříme element link
$xw->startElementNS(null, "link", $atomNS);
$xw->writeAttribute("href", "http://example.org/news");
$xw->writeAttribute("rel", "self");
$xw->endElement();   // </link>

// vytvoříme element updated
$xw->startElementNS(null, "updated", $atomNS);
$xw->text(Date("c"));
$xw->endElement();    // </updated>

// vytvoříme element id
$xw->startElementNS(null, "id", $atomNS);
$xw->text("http://example.org/news");
$xw->endElement();    // </id>

// načteme seznam článků
include "clanky.php";

// projdeme všechny články
foreach ($clanky as $clanek)
{
  // pro každý článek vytvoříme element entry
  $xw->startElementNS(null, "entry", $atomNS);

  // přidáme element title
  $xw->startElementNS(null, "title", $atomNS);
  $xw->text($clanek["nazev"]);
  $xw->endElement();          // </title>

  // přidáme element id
  $xw->startElementNS(null, "id", $atomNS);
  $xw->text($clanek["url"]);
  $xw->endElement();          // </id>

  // přidáme element link
  $xw->startElementNS(null, "link", $atomNS);
  $xw->writeAttribute("href", $clanek["url"]);
  $xw->writeAttribute("rel", "alternate");
  $xw->writeAttribute("type", "text/html");
  $xw->endElement();          // </link>

  $xw->endElement(); // </entry>
}

$xw->endElement();   // </feed>
$xw->endDocument();  // ukončení dokumentu
?>